Fix PE linker wibbles
ClosedPublic

Authored by Phyx on Sep 24 2018, 12:57 AM.

Details

Summary

Fix some various issues that popped up because the linker now doesn't load import libraries for longer than it needs to.

These are all use after free issues.

Test Plan

./validate

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
Phyx created this revision.Sep 24 2018, 12:57 AM
simonpj added inline comments.
rts/Linker.c
1239

Worth a comment?

rts/linker/PEi386.c
1164

Worth a comment?

Phyx added a comment.Sep 25 2018, 1:08 AM

Sure thing,I'll update the patch later today.

Phyx updated this revision to Diff 18130.Sep 26 2018, 2:16 PM

Add comments

bgamari accepted this revision.Oct 4 2018, 11:13 AM

Thanks @Phyx!

This revision is now accepted and ready to land.Oct 4 2018, 11:13 AM
This revision was automatically updated to reflect the committed changes.